Subject: RE: [MIB-DOCTORS] RE: use of TransportDomain/Address (RFC3419) vsTDomain/TAddres s (RFC2579)

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 28 Dec 2006 11:47:42 +0200

(a), (b) - yes, they would prefer to leave the design open for use with
other protocols. Yet at this point SNMP is the only game in town, but
this includes SNMP run directly over the 802 MAC layer
(c) - Notifications are being send by entities belonging to a hierarchy
of entities in 802.1ag which reflect different admin domains (owner of
the device, provider, customer). Notification target may not be defined
for one level, and then the target is being 'outsourced' from the next
level in the hierarchy. During the discussions with the IEEE 802.1ag
experts they may have found a way to model this in 3413, but it is
judged to be too complex for a draft which is now being prepared for
Sponsor Ballot which is more or less equivalent with IETF LC. 

Dan

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]] 
> Sent: Thursday, December 28, 2006 10:48 AM
> To: Romascanu, Dan (Dan)
> Cc: Wijnen, Bert (Bert); MIB Doctors (E-mail)
> Subject: Re: [MIB-DOCTORS] RE: use of TransportDomain/Address 
> (RFC3419) vsTDomain/TAddres s (RFC2579)
> 
> On Thu, Dec 28, 2006 at 08:13:22AM +0200, Romascanu, Dan (Dan) wrote:
> > I believe that the discussion in (3) is important and should be 
> > conducted maybe as part of the multiprotocol management framework 
> > discussions which we should have rather sooner than later 
> in the area.
> > 
> > I would however not delay recommending (2) for the IEEE 802.1ag MIB 
> > work because 93) is not going to get resolved that soon, 
> and 802.1ag 
> > has a schedule to meet, of course while documenting the 
> rationale and 
> > the constraints involved with this solution.
> 
> Perhaps you can clarify the following:
> 
> (a) Does 802.1ag really want to address arbitrary management
>     interfaces?
> 
> (b) If yes, what specific protocols do they have in mind (or do they
>     really don't know)?
> 
> (c) If no, why does (1) not work.
> 
> I believe it is important to have a clear description of the 
> situation if you seek advice from MIB doctors. I suppose the 
> majority on this list is likely not as closely involved in 
> IEEE 802.1ag as you (and
> Bert) likely are.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder		 {International|Jacobs} 
> University Bremen
> <http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 
> 28725 Bremen, Germany
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 28 Dec 2006 10:55:41 +0100

> Sponsor Ballot which is more or less equivalent with IETF LC. 

If IEEE folks find the RFC 3413 approach too complex (which it may
be), then they should however be reminded that any other mechanisms
they invent should provide _all_ information necessary to send
notifications in the SNMPv3 framework (that is no need securityName,
securityLevel, securityModel, trap / inform and perhaps even a few
other bits such as # retries and timeouts).

If all they care about is SNMPv1/SNMPv2c, then they should perhaps
state so or they should spell out that implementations need other
proprietary information sources to make things work.

/js

-- 
Juergen Schoenwaelder		 {International|Jacobs} University Bremen
<http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 28725 Bremen, Germany

---

From: "David B Harrington" <[email-masked]>
Date: Thu, 28 Dec 2006 09:59:59 -0500

Is their design (e.g. mib module) available for MIB Doctor perusal? 
Are they making the design SNMP-configurable?

I'm not really interested in reviewing the 802.1ag standard, or the
complete 802.1ag mib module, but if they have a better solution for
configuring SNMPv3 notifications, I would certainly be interested in
seeing their proposal.

Without seeing how they want to use addressing, it is difficult to
advise which is the best addressing approach.

dbh

> From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
> Sent: Thursday, December 28, 2006 4:48 AM
> To: [email-masked]
> Cc: MIB Doctors (E-mail)
> Subject: RE: [MIB-DOCTORS] RE: use of TransportDomain/Address 
> (RFC3419)vsTDomain/TAddres s (RFC2579)
>